%define name quark
%define version 3.21
%define release 2mdk

Summary: Music player based on Xine
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://quark.nerdnest.org
Source0: http://quark.nerdnest.org/%{name}-%{version}.tar.bz2
Source1: %name-32.png
Source2: %name-16.png
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libxine-devel
BuildRequires: gtk+2-devel
BuildRequires: libgnome-vfs2-devel
Requires: xine-plugins

%description

This is a music player based on the Xine engine. It can play all
formats supported by xine. It has two interfaces: one is a gui for the
system tray, the other one is a command line.

%prep
%setup -q

%build
%configure2_5x --disable-schemas-install
%make
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_sysconfdir/gconf/schemas
%makeinstall
%find_lang %name

mkdir -p %buildroot%{_menudir}/
cat > %buildroot%{_menudir}/%{name} <<EOF 
?package(%name):command="%{_bindir}/strange-quark" title="Quark" longtitle="Quark Music Player" needs="X11" section="Multimedia/Sound" icon="%name.png"
EOF

mkdir -p %{buildroot}{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
ln -s %_datadir/pixmaps/quark.png %buildroot%_liconsdir/%name.png
install -m 644 %SOURCE1 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE2 %buildroot%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS
%_bindir/charm-quark
%_bindir/quark
%_bindir/strange-quark
%_datadir/applications/quark.desktop
%_datadir/pixmaps/quark.png
%_sysconfdir/gconf/schemas/quark.schemas
%_sysconfdir/gconf/schemas/strange-quark.schemas
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 3.21-2mdk
- fix menu dir

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.21-1mdk
- new version
- fix installation

* Wed Oct  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.20-1mdk
- fix buildrequires
- new version

* Wed Jun 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.11-3mdk
- add menu entry

* Tue Jun 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.11-2mdk
- fix buildrequires

* Tue Jun 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.11-1mdk
- initial package
